%define LNG ja
%define snap 20091215

Summary:	Japanese manual pages
Name:		man-pages-%{LNG}
Version:	%{snap}
Release:	8
License:	distributable
Group:		System/Internationalization
Url:		http://www.linux.or.jp/JM/download.html
Source0:	http://www.linux.or.jp/JM/%{name}-%{snap}.tar.gz
Source2:	http://xjman.dsl.gr.jp/xjman-0.7.tar.bz2
Source3:	man-pages-ja-install.sh
Source4:	manpage-utf8-converter.rb
BuildArch:	noarch
BuildRequires:	man
BuildRequires:	ruby
Requires:	locales-%{LNG}
Requires:	man
# for file-system:
Requires(pre):	man
Requires(post):	man
Autoreqprov:	false

%description
The japanese man pages.

%files
%doc ChangeLog README
%dir %{_mandir}/%{LNG}
%dir /var/cache/man/%{LNG}
%{_mandir}/%{LNG}/man*
%{_mandir}/%{LNG}/cat*
%{_mandir}/%{LNG}/CACHEDIR.TAG*
%{_mandir}/%{LNG}/index.db*
%attr(755,root,man)/var/catman/%{LNG}
%config(noreplace) %attr(755,root,root)/etc/cron.weekly/makewhatis-%{LNG}.cron

%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%{LNG}, if there isn't any man page
   ## directory %{_mandir}/%{LNG}
   if [ ! -d %{_mandir}/%{LNG} ] ; then
       rm -rf /var/catman/%{LNG}
   fi
fi
# 1 means update
if [ "$1" = "1" ]; then
   # dirty hack to clean previous man-pages-ja installs
   [ -d var/catman/X11/%{LNG} ] && rm -rf /var/catman/X11/%{LNG} >& /dev/null
   [ -d var/catman/X11 ] && rmdir /var/catman/X11 >& /dev/null
fi
:


#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{snap} -a2

# install X11 man pages
mv xjman/ manual
echo "xjman-4.1.0	Y" >> script/pkgs.list

%build
cp %{SOURCE3} installman.sh
rm -f manual/*/man1/man.1 manual/*/man1/apropos.1 manual/*/man1/whatis.1

# convert manpages (euc-jp to utf-8)
# we can use konqueror as a manpage viewer,
# but konqueror doesn't detect euc-jp properly.
cp %{SOURCE4} .
chmod a+x manpage-utf8-converter.rb
./manpage-utf8-converter.rb

%install
mkdir -p %{buildroot}%{_mandir}/%{LNG}
mkdir -p %{buildroot}/var/catman/%{LNG}/cat{1,2,3,4,5,6,7,8,9,n}

make install

LANG=%{LNG} DESTDIR=%{buildroot} %{_bindir}/mandb %{buildroot}%{_mandir}/%{LNG}

mkdir -p %{buildroot}/etc/cron.weekly
cat > %{buildroot}/etc/cron.weekly/makewhatis-%{LNG}.cron << EOF
#!/bin/bash
%{_bindir}/mandb %{_mandir}/%{LNG}
exit 0
EOF
chmod a+x %{buildroot}/etc/cron.weekly/makewhatis-%{LNG}.cron

mkdir -p  %{buildroot}/var/cache/man/%{LNG}
rm -f %{buildroot}/usr/share/man/README*

# Remove to avoid file conflicts with shadow-utils
rm -f %{buildroot}%{_mandir}/ja/man1/chage.1.*
rm -f %{buildroot}%{_mandir}/ja/man1/expiry.1.*
rm -f %{buildroot}%{_mandir}/ja/man1/gpasswd.1.*
rm -f %{buildroot}%{_mandir}/ja/man1/login.1.*
rm -f %{buildroot}%{_mandir}/ja/man1/newgrp.1.*
rm -f %{buildroot}%{_mandir}/ja/man5/faillog.5.*
rm -f %{buildroot}%{_mandir}/ja/man5/login.defs.5.*
rm -f %{buildroot}%{_mandir}/ja/man8/chpasswd.8.*
rm -f %{buildroot}%{_mandir}/ja/man8/faillog.8.*
rm -f %{buildroot}%{_mandir}/ja/man8/groupadd.8.*
rm -f %{buildroot}%{_mandir}/ja/man8/groupdel.8.*
rm -f %{buildroot}%{_mandir}/ja/man8/groupmod.8.*
rm -f %{buildroot}%{_mandir}/ja/man8/grpck.8.*
rm -f %{buildroot}%{_mandir}/ja/man8/lastlog.8.*
rm -f %{buildroot}%{_mandir}/ja/man8/logoutd.8.*
rm -f %{buildroot}%{_mandir}/ja/man8/newusers.8.*
rm -f %{buildroot}%{_mandir}/ja/man1/passwd.1.*
rm -f %{buildroot}%{_mandir}/ja/man8/pwck.8.*
rm -f %{buildroot}%{_mandir}/ja/man8/pwconv.8.*
rm -f %{buildroot}%{_mandir}/ja/man8/useradd.8.*
rm -f %{buildroot}%{_mandir}/ja/man8/userdel.8.*
rm -f %{buildroot}%{_mandir}/ja/man8/usermod.8.*
rm -f %{buildroot}%{_mandir}/ja/man8/vipw.8.*


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 20091215-8
+ Revision: 2dab0d4
- MassBuild#440: Increase release tag


